!!com.aptana.scripting.model.BundleElement
author: ''
children:
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [case]
  description: case
  displayName: case
  expansion: "case $1:\n    $2\n$0"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: &id001 []
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [tryc]
  description: try catch
  displayName: try catch
  expansion: "try{\n    $1\n}catch (${2:Exception} ${3:e}) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [if]
  description: if
  displayName: if
  expansion: "if ($1) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [ife]
  description: if else
  displayName: ifelse
  expansion: "if ($1) {\n    $0\n}else {\n    \n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [else]
  description: else
  displayName: else
  expansion: "else {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [elseif]
  description: else if
  displayName: else if
  expansion: "else if ($1) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [fore]
  description: for (each)
  displayName: for each
  expansion: "for ($1 : $2) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [for]
  description: for
  displayName: for
  expansion: "for (int ${1:i} = 0; ${1:i}<${2:array}.length; ${1:i}++) {\n    $0\n\
    }"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [switch]
  description: switch
  displayName: switch
  expansion: "switch ($1) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
- !!com.aptana.scripting.model.SnippetElement
  async: false
  category: null
  customProperties:
    prefix_values: [while]
  description: while
  displayName: while
  expansion: "while ($1) {\n    $0\n}"
  iconPath: null
  id: null
  input: [none]
  inputPath: null
  keyBindingMap: null
  locationType: null
  menuId: null
  needApplyReContentAssist: false
  outputPath: null
  outputType: insert_as_snippet
  path: snippets\snippets.rb
  runType: current_thread
  scope: source.jsp
  tags: *id001
  workingDirectoryType: UNDEFINED
copyright: ''
customProperties: null
decreaseIndentMarkers: &id002 {}
description: jsp/asp bundle for RadRails
displayName: bundle_name
fileTypeRegistry: *id002
fileTypes: *id001
foldingStartMarkers: *id002
foldingStopMarkers: *id002
increaseIndentMarkers: *id002
license: null
licenseUrl: null
path: bundle.rb
repository: ''
visible: true
